
Database - Feature #1659

add support for field exclusion/inclusion lists in queries

10/22/2012 12:09 AM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 120.00 hours

Target version: Performance and Scalability

Improvements

  

billable: No vendor_id: GCD

Description

History

#1 - 10/22/2012 12:14 AM - Eric Faulhaber

This feature supports a performance optimization in which -- for read-only usage of a table -- the query's results only return the list of IDs or a

minimum set of data (i.e., minimum set of columns) rather than the entire record.  The wider (more columns) a table, the more likely we are to see a

performance gain from this approach.

This optimization presumes we can determine with confidence that the usage of the query is read-only;  the NO-LOCK option is a good indicator, but

it is not foolproof:  a follow-on EXCLUSIVE-LOCK query can invalidate any performance gained with this approach.

#2 - 10/31/2012 04:03 PM - Greg Shah

- Target version set to Milestone 17

#3 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
